package com.wechat.dao;

import java.util.List;
import java.util.Map;

import com.wechat.global.base.annotation.MyBatisDao;
import com.wechat.global.base.dao.CrudDao;
import com.wechat.model.dbEntity.MdeIntvContacts;
import com.wechat.model.dto.IntvContactsDto;

@MyBatisDao
public interface MdeIntvContactsMapper  extends CrudDao<MdeIntvContacts>{
	
    int deleteByPrimaryKey(Integer contId);

    /**
      *全部设置为非默认
     * @param record
     * @return
     */
    int updateNondefault(MdeIntvContacts record);
    
    /**
     *获取联系人信息
    * @param userCode
    * @return
    */
    List<IntvContactsDto> getContacts(String userCode);
    
    /**
     *删除取联系人信息
    * @param userCode
    * @return
    */
    int delContact(Map<String,Object> map);

}